# malloc.h File Reference

`#include <pspkernel.h>`
`#include <stddef.h>`
`#include <stdarg.h>`

Include dependency graph for malloc.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void * | malloc (size_t size)
void * | realloc (void *ptr, size_t size)
void * | calloc (size_t n, size_t size)
void * | memalign (size_t align, size_t size)
void | free (void *ptr)
void * | __mem_walk_begin (void)
void | __mem_walk_read (void *token, u32 *size, void **ptr, int *valid)
void * | __mem_walk_inc (void *token)
int | __mem_walk_end (void *token)

## Function Documentation

void* __mem_walk_begin | ( | void |  | ) |

int __mem_walk_end | ( | void * | token | ) |

void* __mem_walk_inc | ( | void * | token | ) |

void __mem_walk_read | ( | void * | token,
|  | u32 * | size,
|  | void ** | ptr,
|  | int * | valid
| ) |

void* calloc | ( | size_t | n,
|  | size_t | size
| ) |

void free | ( | void * | ptr | ) |

void* malloc | ( | size_t | size | ) |

void* memalign | ( | size_t | align,
|  | size_t | size
| ) |

void* realloc | ( | void * | ptr,
|  | size_t | size
| ) |